Bug 410301 - New kernel syscall sys_rlimit64 for resource limits
New kernel syscall sys_rlimit64 for resource limits
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel (Show other bugs)
All Linux
low Severity low
: ---
: ---
Assigned To: Larry Woodman
Martin Jenner
Depends On:
  Show dependency treegraph
Reported: 2007-12-04 08:06 EST by Adam Stokes
Modified: 2010-10-22 16:54 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2010-06-07 01:47:59 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Adam Stokes 2007-12-04 08:06:16 EST
Description of problem:
In this particular case users of ppc64 are unable to set things like memlock
higher than 4G

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
Set memlock higher than 4G in /etc/security/limits.conf

This simple application shows its effect :
#include <sys/resource.h>
#include <stdio.h>
#include <stdlib.h>

int main ()
  struct rlimit rlim;
  rlim.rlim_max = 5961560;
  rlim.rlim_cur = rlim.rlim_max;

  if ( setrlimit(8, &rlim) < 0) {
    fprintf(stderr,"Failed to set memlock max\n");
  fprintf(stderr,"rlim_cur: %ld\n",rlim.rlim_cur);
  return 1;
Actual results:
Fails to set memlock higher than 4G.

Expected results:
Allow for higher threshold

Additional info:

Note You need to log in before you can comment on or make changes to this bug.